import { createApp } from 'vue'

import axios from 'axios';
import $ from 'jquery'
import * as echarts from 'echarts'

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElIcons from '@element-plus/icons-vue'
import request from './utils/request'
import utils from '/public/utils.js'
import api from '/public/api.js'

import '/public/dark_theme.css';

import App from './App.vue'
import router from './router'
// import request from "./utils/request";


var app = createApp(App);
// vue3 给原型上挂载属性
app.config.globalProperties.$echarts = echarts;
app.config.globalProperties.$request = request;
for (const name in ElIcons) {
	app.component(name, ElIcons[name])
}
app.use(router);
app.use(ElementPlus);

app.mount('#app')
